org.apache.xmpbox.xml

## Class DomXmpParser.NamespaceFinder

- java.lang.Object
- - org.apache.xmpbox.xml.DomXmpParser.NamespaceFinder

Enclosing class:
  DomXmpParser

    protected static class DomXmpParser.NamespaceFinder
    extends Object

### Constructor Summary

Constructors
`protected` `NamespaceFinder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `containsNamespace(String namespace)`
`protected Map<String,String>` `pop()`
`protected void` `push(Element description)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NamespaceFinder

    protected NamespaceFinder()

### Method Detail

#### push

    protected void push(Element description)

#### pop

    protected Map<String,String> pop()

#### containsNamespace

    protected boolean containsNamespace(String namespace)